package cn.com.poc.thirdparty.resource.demand.ai.constants;

/**
 * 大模型对话角色枚举
 */
public enum LLMRoleEnum {

    USER("user"),

    ASSISTANT("assistant"),

    SYSTEM("system"),

    FUNCTION("function"),

    TOOL("tool"),

    ;

    private String role;

    LLMRoleEnum(String role) {
        this.role = role;
    }

    public String getRole() {
        return role;
    }
}
